CoCoALib - Feature #174

IsStdGraded: add for PPOrdering, PPMonoid, (Sparse)PolyRing..
01 Jun 2012 17:43 - Anna Maria Bigatti

Status: New Start date: 01 Jun 2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: New Function Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.20 hour
Description

Which types should offer IsStdGraded?

Port it also to CoCoA-5

Related issues:
Related to CoCoALib - Feature #310: ordering and grading (weights) matrix Closed 13 Feb 2013

History

#1 - 08 Jun 2012 22:16 - John Abbott

Should modules also have an IsStdGraded?
Note we have already used the abbrev std for standard (e.g. StdDeg)

What is the defn of standard graded?

1. All indets have deg 1
2. All indets have the same (non-zero) deg

#2 - 19 Jun 2012 17:02 - Anna Maria Bigatti

- Subject changed from IsStandardGraded: add for PPOrdering, PPMonoid, (Sparse)PolyRing.. to IsStdGraded: add for PPOrdering, PPMonoid,
(Sparse)PolyRing..

#3 - 19 Jun 2012 17:04 - Anna Maria Bigatti
John Abbott wrote:

Should modules also have an IsStdGraded?
Note we have already used the abbrev std for standard (e.g. StdDeg)

true: | changed the title
What is the defn of standard graded?

1. All indets have deg 1

This one (in particular GradingDim is 1)

1. All indets have the same (non-zero) deg
#4 - 01 Aug 2014 08:59 - Anna Maria Bigatti
- Target version set to CoCoALib-1.0
